import { HeatMapModel } from './HeatMapModel';
import { Mark } from './Mark';
export declare class HeatMap extends Mark {
    render(): Promise<void>;
    set_ranges(): void;
    set_positional_scales(): void;
    initialize_additional_scales(): void;
    create_listeners(): void;
    relayout(): void;
    private drawCanvas;
    draw(): void;
    private expandRect;
    private getPlottingData;
    private getPadding;
    computeRectSizes(data: any, padding1: any, padding2: any, reversed?: boolean): any;
    private getElementFill;
    clear_style(style_dict: any, indices?: any, elements?: any): void;
    compute_view_padding(): void;
    set_default_style(indices: any, elements?: any): void;
    set_style_on_elements(style: any, indices: any, elements?: any): void;
    private image;
    private canvas;
    model: HeatMapModel;
}
